function Gvec = cloopvec(Avec,Bvec,Fvec);

%CLOOPVEC Calculates closed loop matrices
%
%	Usage:
%		Gvec = cloopvec(Avec,Bvec,Fvec);
%
%	where Gvec = stack(G1,...,GN) is given by
%
%		Gi = Ai + Bi*Fi
%
%	for i = 1,...N.

%	version 1.0
%	RP Marques	(04/03/97)

N=Avec(2);

str=[];
for i=1:N
	istr=int2str(i); aux=[',G',istr]; str=[str,aux];
	Ai=unstack(Avec,i); Bi=unstack(Bvec,i); Fi=unstack(Fvec,i);
	Gi=Ai+Bi*Fi;
	eval(['G',istr,'=Gi;']);
end;
str(1)=[]; eval(['Gvec=stack(',str,');']);
	