function Evec = eop(Xvec,P);

%EOP	Expected value operator
%
%	Usage:
%		Evec = eop(Xvec,P)
%
%	where Xvec is a vectorized set of matrices and P
%	is a transition probability matrix.

%	RP Marques
%	version 1.0	(28/02/97)

N=Xvec(2); dimX=size(unstack(Xvec,1));

for i=1:N
	istr=int2str(i);
	eval(['X',istr,'=unstack(Xvec,',istr,');']);
end;

str=[];
for i=1:N
	istr=int2str(i); aux=[',E',istr]; str=[str,aux];
	%Ei=0
	eval(['E',istr,'=zeros(dimX);']);
	for j=1:N
		jstr=int2str(j);
		%Ei=Ei+pij*Xj
		eval(['E',istr,'=E',istr,'+P(i,j)*X',jstr,';']);
	end;
end;
str(1)=[]; eval(['Evec=stack(',str,');']);


		