% Controle Hinf timo (problema aproximado)
% Exemplo tirado de [16]

A1 = [0.9974 0.0539; -0.1078 1.1591]; 	A2 = A1;
B1 = [0.0013; 0.0539]; 			B2 = [0.0013; 0.1078];
D  = [1 0; 1 0.1];
M1 = [-1 1; 0 0]; 			M2 = M1;
J1 = [0; 1];				J2 = J1;

P  = [0.7 0.3; 0.2 0.8];

opt= [1e-12 1e3 -1 100 1]; v=0;

% Vetorizando n-uplas
Avec = stack(A1,A2);
Bvec = stack(B1,B2);
Mvec = stack(M1,M2);
Jvec = stack(J1,J2);

% Executando
[Fvec,nu] = hinfopt(Avec,Bvec,D,Mvec,Jvec,P,opt,v);

[F1,F2] = unstack(Fvec);