% Controle Hinf timo
% Exemplo tirado de [16]

A1 = [0.9974 0.0539; -0.1078 1.1591]; 	A2 = A1;
B1 = [0.0013; 0.0539]; 			B2 = [0.0013; 0.1078];
D  = [1 0; 1 0.1];
M1 = [-1 1; 0 0]; 			M2 = M1;
J1 = [0; 1];				J2 = J1;

P  = [0.7 0.3; 0.2 0.8];

opt1=[1e-4 300 0 0 1]; opt2=[1e-3 400 0]; opt3=[1e-6 1000 0 0 1];

% Vetorizando n-uplas
Avec = stack(A1,A2);
Bvec = stack(B1,B2);
Mvec = stack(M1,M2);
Jvec = stack(J1,J2);

% Executando
[Fvec,nuopt] = solvhinf(Avec,Bvec,D,Mvec,Jvec,P,0.01,opt1,opt2,opt3,1);

[F1,F2] = unstack(Fvec);