% Simulaes de Montecarlo para controle Hinf
% Exemplo tirado de [16]

A1 = [0.9974 0.0539; -0.1078 1.1591]; 	A2 = A1;
B1 = [0.0013; 0.0539]; 			B2 = [0.0013; 0.1078];
D1 = [1 0; 1 0.1];			D2 = D1;
M1 = [-1 1; 0 0]; 			M2 = M1;
J1 = [0; 1];				J2 = J1;

P  = [0.7 0.3; 0.2 0.8];

% Vetorizando n-uplas
Avec = stack(A1,A2);
Bvec = stack(B1,B2);
Dvec = stack(D1,D2);
Mvec = stack(M1,M2);
Jvec = stack(J1,J2);

Fvec1=stack([-5.4727 -7.0194],[-4.8924 -5.9711]); %timo aproximado
Fvec2=stack([2.0281 -1.0549],[-1.4760 -3.2616]);  %timo 

% Simulao 1
x0=[0;0]; th0=1; n=100; nsim=1000; wopt=[0.5 1 1000]; s=1000;
[Z1,X1,W,C] = mcl2sim(Avec,Bvec,Fvec1,Dvec,Mvec,Jvec,P,x0,th0,n,nsim,wopt,s);

% Simulao 2
x0=[0;0]; th0=1; n=100; nsim=1000; wopt=[0.5 1 1000]; s=1000;
[Z2,X2,W,C] = mcl2sim(Avec,Bvec,Fvec2,Dvec,Mvec,Jvec,P,x0,th0,n,nsim,wopt,s);