% O receptor trmico solar
% Exemplo tirado de [53]

% Planta 
A1=0.8353; A2=0.9646;
B1=0.0915; B2=0.0982; 

% Funcional
Q1=0.0355; Q2=Q1;
R1=1; R2=R1;
L1=0; L2=L1;

% Matriz de probabilidades de transio
P=[0.9767 0.0233; 0.0435 0.9565];

% Opes do programa de otimizao
op=[1e-12 1e3 -1 100 1]; v=0;

% Compactao dos argumentos
Avec=stack(A1,A2); Bvec=stack(B1,B2);
Qvec=stack(Q1,Q2); Lvec=stack(L1,L2); Rvec=stack(R1,R2);

% Soluo do problema
[Fvec,Xvec] = mkvlqr(Avec,Bvec,Qvec,Lvec,Rvec,P,op,v);

% Descompactao dos resultados
[X1,X2]=unstack(Xvec); [F1,F2]=unstack(Fvec);

% Simulaes de Montecarlo
%x0=[1]; th0=1; n=200; nsim=1000; s=10;
%[Xhvec,J,C] = mclqrsim(Avec,Bvec,Fvec,Qvec,Lvec,Rvec,P,x0,th0,n,nsim,s);